Api referenceExtract
Extract structured fields from a job posting
x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.untangledapi.com/v1/extract/job-posting" \ -H "Content-Type: application/json" \ -d '{ "document": {} }'{
"data": {
"title": "string",
"company": "string",
"location": "string",
"employmentType": "string",
"salaryRange": {
"min": 0,
"max": 0,
"currency": "string",
"period": "string"
},
"requirements": [
"string"
],
"responsibilities": [
"string"
],
"benefits": [
"string"
],
"remote": true,
"postedDate": "string"
},
"model": "string",
"usage": {
"inputTokens": 0,
"outputTokens": 0
}
}{
"error": {
"code": "string",
"message": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"details": null
}
}{
"error": {
"code": "plan_limit_exceeded",
"message": "string",
"details": {
"plan": "free",
"bucketHeu": 0,
"requestedHeu": 0,
"upgradeUrl": "http://example.com"
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"details": null
}
}